Subject: Re: pcmcia- config.opts, cis and pci

From: David Gibson <[email-masked]>
Date: Thu, 29 Aug 2002 09:51:14 +1000

On Wed, Aug 28, 2002 at 03:30:14PM +0530, Sanjeev Manral wrote:
>
> Hi all,
>
> I'm using pcmcia-cs-3.2.0 my kernel is 2.4.17. It's a ppc405 board.
>
> pcmcia-cs is not able to detect ide_cs card and telling it a Blank card.
>
> I've tried many options in /etc/pcmcia/config.opts but nothing is working.
>
> I'm having one more doubt. there is no PCI brige in manual of my hardware.
> It is using coreconnect architecture and PCMCIA controller is directly
> connected to processor local bus. In hardware there is not a single mention
> of pci-plb bridge.
>
> If I disable "pci" in "make xconfig" "card bus support" is also disabling
> and there are no sockets.
> shall I enable "pci" and "card bus support"( I'm trying this, IS IT
> CORRECT?)

Probably not - are you using a 16-bit PCMCIA "PC Card" or a 32-bit
"CardBus" card.  Since you have no PCI, chances are your hardware will
only support the 16-bit cards.

> I debugged it with enable "pci" and "card bus support". driver is not able
> to get a valid cis. and trying to load a blank card driver( memory_cs )
> instead of ide_cs.
>
> Is it a problem with only config.opts or some other problem.
>
> I don't know where to proceed. if somebody knows how and where to get a
> valid config.opts please let me know.
>
> thanks,
> Sanjeev
>
>
>

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/